from setuptools import setup, find_packages
from vcsinfo.factory import build
from vcsinfo.exceptions import VcsError
import os
import sys

try:
    repo = build(os.path.dirname(os.path.realpath(__file__)))
    version = repo.current_version().version_id
except VcsError:
    sys.exit('Cannot obtain version number from git.')

if sys.version_info < (3, 5):
    sys.exit('Python < 3.5 is not supported.')

setup(
    name='vcsinfo',
    version=version,
    description='Python abstraction layer for getting info from VCSes sych as git',
    url='https://gitlab.astro-wise.org/omegacen/vcsinfo',
    license='LGPL-3.0+',
    packages=find_packages(exclude=('tests',)),
    setup_requires=[
        'pytest-runner>=2.0'
    ],
    tests_require=[
        'pytest>=3.0',
        'pytest-cov>=2.4'
    ]
)
